> For the complete documentation index, see [llms.txt](https://docs.elentra.org/ejs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elentra.org/ejs/1.2/guide/http-library/http-client.md).

# HTTP Client

## Introduction

The **HTTP Client** provides a low-level interface for asynchronous network communication.

## The HttpClient Class <a href="#the-httpclient-class" id="the-httpclient-class"></a>

### Synopsis <a href="#synopsis" id="synopsis"></a>

{% code title="ElentraJS/Http/HttpClient" %}

```javascript
class HttpClient 
{
    constructor(credentialsMode = 'default');

    createRequest(string method, string url, string body, Object headers) : Http/Request;
    createResponse(int status, string body, Http/Headers headers, Http/Request request) : Http/Response;

    makeRequest(Http/Request request) : Promise<Http/Response>;

    static Errors: {
        NetworkError: Http/NetworkError
    };

    static createRequest(string method, string url, string body, Object headers) : Http/Request;
    static createResponse(int status, string body, Http/Headers headers, Http/Request request) : Http/Response;
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elentra.org/ejs/1.2/guide/http-library/http-client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
